LIVE-BUILD(1)

NAME
lb clean - Clean build directory

SYNOPSIS
lb clean [live-build options]

DESCRIPTION
lb clean is a high-level command (porcelain) of live-build(7), the Debian Live tool suite.

lb clean is responsible for cleaning up after a system is built. It removes the build directories, and removes some other files including stage files, and any detritus left behind by other live-build commands.

OPTIONS
In addition to its specific options lb clean understands all generic live-build options. See live-build(7) for a complete list of all generic live-build options.

--all
    removes chroot, binary, stage, and source. The cache directory is kept. This is the default operation and will be performed if no argument is given.

--cache
    removes the cache directories.

--chroot
    unmounts and removes the chroot directory.

--binary
    removes all binary related caches, files, directories, and stages files.

--purge
    removes everything, including all caches. The config directory is kept.

--remove
    removes everything, including package cache but not stage cache. The config directory is kept.

--stage
    removes all stage files.

--source
    removes all source related caches, files, directories, and stage files.

FILES

auto/clean

SEE ALSO
live-build(7)

This program is a part of live-build.

HOMEPAGE
More information about live-build and the Debian Live project can be found on the homepage at <http://live.debian.net/> and in the manual at <http://live.debian.net/manual/>.

BUGS
Bugs can be reported by submitting a bugreport for the live-build package in the Debian Bug Tracking System at <http://bugs.debian.org/> or by writing a mail to the Debian Live mailing list at <debian-live@lists.debian.org>.

AUTHOR
live-build was written by Daniel Baumann <daniel@debian.org> for the Debian project.